#include "f28x_project.h"
#include "gpio.h"



void init_relay_gpio(void)
{    
    GPIO_SetupPinMux(27, GPIO_MUX_CPU1, 0);
    GPIO_SetupPinOptions(27, GPIO_OUTPUT, GPIO_ASYNC);
    GPIO_WritePin(27,0);

//    GPIO_SetupPinMux(0, GPIO_MUX_CPU1, 0);
//    GPIO_SetupPinOptions(0, GPIO_OUTPUT, GPIO_ASYNC);
//    GPIO_SetupPinMux(1, GPIO_MUX_CPU1, 0);
//    GPIO_SetupPinOptions(1, GPIO_OUTPUT, GPIO_ASYNC);
//    GPIO_SetupPinMux(2, GPIO_MUX_CPU1, 0);
//    GPIO_SetupPinOptions(2, GPIO_OUTPUT, GPIO_ASYNC);
//    GPIO_SetupPinMux(3, GPIO_MUX_CPU1, 0);
//    GPIO_SetupPinOptions(3, GPIO_OUTPUT, GPIO_ASYNC);
//    GPIO_SetupPinMux(4, GPIO_MUX_CPU1, 0);
//    GPIO_SetupPinOptions(4, GPIO_OUTPUT, GPIO_ASYNC);
//    GPIO_SetupPinMux(5, GPIO_MUX_CPU1, 0);
//    GPIO_SetupPinOptions(5, GPIO_OUTPUT, GPIO_ASYNC);
    
    GPIO_SetupPinMux(10, GPIO_MUX_CPU1, 0);
    GPIO_SetupPinOptions(10, GPIO_OUTPUT, GPIO_ASYNC);
    GPIO_SetupPinMux(11, GPIO_MUX_CPU1, 0);
    GPIO_SetupPinOptions(11, GPIO_OUTPUT, GPIO_ASYNC);
    GPIO_SetupPinMux(17, GPIO_MUX_CPU1, 0);
    GPIO_SetupPinOptions(17, GPIO_OUTPUT, GPIO_ASYNC);

    GPIO_SetupPinMux(42, GPIO_MUX_CPU1, 0);
    GPIO_SetupPinOptions(42, GPIO_INPUT, GPIO_PUSHPULL);
}


void Relsy_on(void)
{
    int16 temp = (AdcaResultRegs.ADCRESULT2 - AdcaResultRegs.ADCRESULT0);
    if((AdcaResultRegs.ADCRESULT2>=260)&&(abs(temp)<160))
    {
        GPIO_WritePin(27,1);
    }
}

